Bug 104974 - GPU HANG: ecode 9:0:0x85dffffb, in Xorg [1317], reason: Hang on rcs0, action: reset
Summary: GPU HANG: ecode 9:0:0x85dffffb, in Xorg [1317], reason: Hang on rcs0, action:...
Status: RESOLVED MOVED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: 17.3
Hardware: x86-64 (AMD64) Linux (All)
: medium major
Assignee: Intel 3D Bugs Mailing List
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-06 19:44 UTC by Kenneth Graunke
Modified: 2019-09-25 19:08 UTC (History)
6 users (show)

See Also:
i915 platform:
i915 features:


Attachments
error state from Alejandro's original report (45.14 KB, text/plain)
2018-02-06 19:48 UTC, Kenneth Graunke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kenneth Graunke 2018-02-06 19:44:46 UTC
+++ This bug report from Alejandro Lorenzo was salvaged from Bug #104712 +++

While working in eclipse Version: Kepler Service Release 2 the GPU hangs. After 30 seconds the session is reset.

Crash occurs somewhat between 1 to 15 minutes, usually on the early side.

It occurs with kernel 4.14.14 and 4.14.4.

Mesa version in which if crashes are: 17.3.2, 17.3.3 and 17.2.5
Comment 1 Kenneth Graunke 2018-02-06 19:48:39 UTC
Created attachment 137192 [details]
error state from Alejandro's original report

re-attaching Alejandro's error state.
Comment 2 Kenneth Graunke 2018-02-06 19:51:54 UTC
Hi Alejandro,

We fixed a number of GPU hangs on Skylake systems recently, in Mesa master.  I bet that commit df13588d2176dcf4800a882d926f389667772b46 would fix your hang.  These fixes should be making their way to 17.3.4.

In the meantime, you could try building Mesa master.  You may also be able to avoid the hang by exporting INTEL_DEBUG=norbc before starting X.
Comment 3 Alejandro Lorenzo 2018-02-08 13:46:33 UTC
I'll try to compile master mesa and report back.

However, i read the INTEL_DEBUG=norbc in another bug and it has not helped with the hang.

What it did seemed to help is disabling compositing in kwin_x11 (I am using KDE under Xorg)

Thanks for your attention
Comment 4 GitLab Migration User 2019-09-25 19:08:29 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/mesa/mesa/issues/1686.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.